<?php
/* ************************************************************************** *
 *																										*
 * Core - index.php v3.1 by Slodave, 2007 - maj 2008, http://www.zabec.net		*
 * -------- -------- -------- -------- -------- -------- -------- --------		*
 * 																									*
 * Datoteka je osnovna stran iz katere se kličejo vse osnovne podstrani			*
 * ************************************************************************** */

//config datoteka
require("sys/config.php");

//datoteka, kjer se vključujejo potrebne knjižnjice
require("sys/init.php");

//generiramo začetne template
$tpl = new TemplatePower("templates/".$settings['template']."/index.tpl");
$tpl->assignInclude("header", "templates/".$settings['template']."/header.tpl");
$tpl->prepare();
$tpl->assignGlobal("template_dir", "templates/".$settings['template']);

//vključimo potrebno knjižnjico za jezike
require('sys/lib_language.php');

//preverimo stanje uporabnika
include('login.php');

//nastavitve, ki so potrebne v templatih
$tpl->assign("site_naslov", $settings['site_naslov']);

//licenca, ki je potrebna v templatih
$tpl->assign("cms_verzija",$licence_data['lastversion']);
$tpl->assign("licenca_tip",$licence_data['versionname']);
$tpl->assign("licenca_update",formatDateFromDB($settings['last_update'],"date"));

/* UPORABNKI JE PRIJAVLJEN, IZPIŠEMO VSEBINO												*/
/* ************************************************************************** */
	if ($_SESSION['prijavljen']) {

		$_SESSION['sublevel_active'] = '0';
		//dodamo potrebne CSS datoteke
		$tpl->newBlock("adds");
		dodajCss("templates/".$settings['template']."/style.css");
		dodajCss("templates/".$settings['template']."/css/editor.css");

		//poberemo potrebne spremenljivke, ter jih preverimo
		$clean['topmenu'] = intval($_GET['tm']);
		$clean['page'] = inputXSScheck(basename($_GET['pg']));
		$clean['act'] = inputXSScheck(basename($_GET['act']));

		//preveri ali je šele login in prikaži prvi tab
		if(!$clean['topmenu']) {
			$result = $db->query("SELECT id FROM core_topmenu ORDER BY id ASC LIMIT 0,1");
			$r = $result->fetch();
			$clean['topmenu'] = $r['id'];
		}

		// Content template
		$tpl->assignInclude("content", "templates/".$settings['template']."/content.tpl");
		$tpl->prepare();

		/* Top navigacija																			*/
		/* ******************************************************************** */
			$result = $db->query("SELECT id, topmenu FROM core_topmenu ORDER BY id ASC");
			while($r = $result->fetch())
			{
				//izpišemo podatke v content template
				$tpl->newBlock("top_nav");
				$tpl->assign("topmenu", $r['topmenu']);
				$tpl->assign("povezava", $r['id']);

				//preverimo če je topmenu izbran
				if($clean['topmenu'] == $r['id'] AND $_GET['tm'] != "nastavitve") {
					$tpl->assign("class", "nav_gumb_on");
				}
				//topmenu ni izbran
				else {
					$tpl->assign("class", "nav_gumb_off");
				}
			}
			// $_GET['act'] je poslan in je pravilen
			if(ctype_alpha($_GET['act'])) {
				//$_GET['act'] je varna (samo črke)
				$clean['act'] = $_GET['act'];
			}

		/* ******************************************************************** */

		/* Modul nastavitve CMSja																*/
		/* ******************************************************************** */
			//pravice za prikaz taba za nastavitve
			if(checkView(1)) {
				$tpl->newBlock("top_nav_nastavitve");
			}

			//preverimo če je aktiven TAB nastavitve (drugače prikažemo ostalo vsebino)
			if($_GET['tm'] == "nastavitve") {
				//preverimo pravice za prikaz nastavitev
				if(checkView(1)) {
					$tpl->assign("nastavitve_status", "on");
					//vklučimo potreben CSS
					dodajCss("templates/".$settings['template']."/css/pregled.css");
					//vključimo nastavitve
					include("nastavitve.php");
				}
			}
			//niso izbrane nastavitve (torej je izbrano nekaj drugega)
			else {
				$tpl->assign("nastavitve_status", "off");

		/* ******************************************************************** */

		/* Levi menu																				*/
		/* ******************************************************************** */
				include('left_menu.php');
		/* ******************************************************************** */

		/* Moduli																					*/
		/* ******************************************************************** */
				//preverimo če je izbran modul (preverjanje dovoljenja za ogled je v left_menu.php)
				if($modul_selected) {

					//dodamo potreben css
					dodajCss("templates/".$settings['template']."/css/pregled.css");

					//pot in ime modula, če gre za osnutek (potem kliče osnovni view)
					if($clean['act'] == "osnutek") {
						$path_act = "view";
					}
					//ne gre za osnutek
					else {
						$path_act = $clean['act'];
					}

					$path_name = $modul_selected."/".$path_act."/settings.php";

					//preverimo če zahtevan modul obstaja
					if(file_exists($path_name)) {
						//vključimo podrobno stran modula
						include($path_name);

						/* vljučimo protrebne javascript knjižnice (glede na nastavitve modula) */
						//RTF editor
						if($mod_settings['active_rtf']) {
							#dodajJS($ajax."inc/fckeditor/fckeditor.js");
							dodajJS($ajax."inc/ckeditor/ckeditor.js");
						}
						//slika ali galerija
						if($mod_settings['slika'] OR $mod_settings['galerija'] OR $mod_settings['datoteke']) {
							dodajJS($ajax."inc/swfupload.js");
						}
						//datepicker
						if($mod_settings['active_datumselect']) {
							dodajJS($ajax."inc/datepicker.js");
						}
					}

					//modul ne obstaja izpišemo error
					else {
						napaka("Zahtevali ste neobstoječ modul!");
					}
				}
		/* ******************************************************************** */

		/* Dashboard (ko ni izbran noben modul)											*/
		/* ******************************************************************** */
				else
				{
					//dodamo potreben CSS
					dodajCss("templates/".$settings['template']."/css/dashboard.css");
					$tpl->assignInclude("main_content", "templates/".$settings['template']."/dashboard.tpl");
					$tpl->prepare();
					//vključimo dashboard
					include('dashboard.php');
				}
			}
		/* ******************************************************************** */

		/* Desni menu																				*/
		/* ******************************************************************** */
			include('right_menu.php');
		/* ******************************************************************** */

		/* Footer																					*/
		/* ******************************************************************** */
			$tpl->assignInclude("footer", "templates/".$settings['template']."/footer.tpl");
			$tpl->prepare();
		/* ******************************************************************** */
	}
/* ************************************************************************** */

/* UPORABNIK NI PRIJAVLJEN, IZPIŠEMO LOGINBOX											*/
/* ************************************************************************** */
	else
	{
		$tpl->assignInclude("content", "templates/".$settings['template']."/login.tpl");
		$tpl->prepare();

		//nastavimo še številke za pomoč
		$tpl->assign("podpora_tel",$settings['podpora_tel']);
		$tpl->assign("podpora_email",$settings['podpora_email']);

		$tpl->newBlock("adds");
		dodajCss("templates/".$settings['template']."/style.css");
		dodajCss("templates/".$settings['template']."/login.css");
	}
/* ************************************************************************** */
//generiramo vsebino iz templatov
$tpl->printToScreen();

?>